### Enumeration

# Gtk Overflow

since: 4.0

#### Declaration

    enum Gtk.Overflow

#### Description [src]

Defines how content overflowing a given area should be handled.

This is used in `gtk_widget_set_overflow()`. The `GtkWidget:overflow` property is modeled after the CSS overflow property, but implements it only partially.

Available since: 4.0

#### Members

`GTK_OVERFLOW_VISIBLE`

  No change is applied. Content is drawn at the specified position.

  - Value: `0`
  - Nickname: `visible`
  - Available since: 4.0
`GTK_OVERFLOW_HIDDEN`

  Content is clipped to the bounds of the area. Content outside the area is not drawn and cannot be interacted with.

  - Value: `1`
  - Nickname: `hidden`
  - Available since: 4.0